Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class TextArea

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLFieldRendererImpl
            |
            +--oracle.jdeveloper.html.TextArea

public class TextArea
extends HTMLFieldRendererImpl

Represents a textarea field renderer.

Version:
  PUBLIC

Fields inherited from class oracle.jdeveloper.html.HTMLFieldRendererImpl
`nHeight, nLength, nWidth, sClass, sFormName, sName, sPrompt, sValue`

Constructor Summary
`TextArea()`

Method Summary
`java.lang.String` | `createMultilineTextField(java.lang.String sName, java.lang.String sValue)` Adds a textarea text field with a target number of rows.
`java.lang.String` | `renderToString(HTMLRenderingContext ctx, RowSet rs, Row row, java.lang.String sAttribute)` This method is called when the field renderers are being used from the Tag library and from the DataWebBeans.

Methods inherited from class oracle.jdeveloper.html.HTMLFieldRendererImpl
`getCSSClassName, getDisplayHeight, getDisplayWidth, getFieldName, getFormName, getMaxDataLength, getPromptText, getValue, setCSSClassName, setDisplayHeight, setDisplayWidth, setFieldName, setFormName, setMaxDataLength, setPromptText, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextArea

    public TextArea()

Method Detail

### createMultilineTextField

    public java.lang.String createMultilineTextField(java.lang.String sName,
                                                     java.lang.String sValue)

  Adds a textarea text field with a target number of rows.
  Parameters:
    `sLabel` - The label for the field.
    `sName` - The field name.
    `sValue` - The field value.
    `rows` - Number of rows

### renderToString

    public java.lang.String renderToString(HTMLRenderingContext ctx,
                                           RowSet rs,
                                           Row row,
                                           java.lang.String sAttribute)

  Description copied from interface: HTMLFieldRenderer
  This method is called when the field renderers are being used from the Tag library and from the DataWebBeans.
  Overrides:
    renderToString in class HTMLFieldRendererImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD